XmLArrayNew(3X)

NAME
XmLArrayNew - creates an array object

SYNTAX
XmLArray XmLArrayNew(autonumber, growFast)
char autonumber;
char growFast;

ARGUMENTS

autonumber
    If set to 1, the pointers in the array are assumed to be pointers to structures containing an integer as the first element which will be set to the position of the item in the array. The array will set this value with the current position of the element whenever position of the item changes. If set to 0, the array will never dereference the pointers contained in the array.

growFast
    If set to 1, the array will grow quickly as items are added to it. This will cause the amount of memory the array takes up to usually be greater than the current space for elements. If set to 0, the array will always be the size of the current space for the elements contained in the array.

DESCRIPTION
Creates an array object and returns it. An array object is used to hold an array of pointers. This object should be freed with XmLArrayFree() when it is no longer used.

RETURN VALUE
The newly allocate array object.

SEE ALSO
XmLArrayAdd(3X) XmLArrayDel(3X) XmLArrayFree(3X) XmLArrayGet(3X) XmLArrayGetCount(3X) XmLArrayMove(3X) XmLArrayReorder(3X) XmLArraySet(3X) XmLArraySort(3X)